#!/bin/sh

newver="$1"
if [ -z "$newver" ]; then
	echo "usage: $0 x.y.z"
	exit 1
fi

oldver=`cat haxelib.json | grep version | cut -f4 -d'"'`
today=`date +%Y-%m-%d`

#ChangeLog.md
nbequals=`echo -n "$today - v$newver" | wc -c`
echo "$today - v$newver" > ChangeLog.md
for ((i=0; i<$nbequals; i++)); do echo -n "=" >> ChangeLog.md; done
echo -e "\n" >> ChangeLog.md
git log v$oldver..HEAD | sed -e /^commit/d -e /^Author:/d -e /^Date:/d -e /^$/d -e 's/^  \+/- /' >> ChangeLog.md
echo -e "\n" >> ChangeLog.md
cat doc/ChangeLog.md >> ChangeLog.md
mv ChangeLog.md doc/ChangeLog.md

#haxelib.json
sed -e s/$oldver/$newver/ -i haxelib.json #-e 's/\(\"releasenote\": \"\)[^\"]*\"/\1\"/' 

#review
geany doc/ChangeLog.md haxelib.json
echo "press <Enter> after editing 'doc/ChangeLog.md' and 'haxelib.json'"; read

git add doc/ChangeLog.md haxelib.json
git commit -m "prepared release $newver"
git tag v$newver
